COREDUMPCTL(1)

NAME
coredumpctl - Retrieve and process saved core dumps and metadata

SYNOPSIS

coredumpctl [OPTIONS...] {COMMAND} [PID|COMM|EXE|MATCH...]

DESCRIPTION

coredumpctl is a tool that can be used to retrieve and process core dumps and metadata which were saved by systemd-coredump(8).

OPTIONS

The following options are understood:

-h, --help
    Print a short help text and exit.

--version
    Print a short version string and exit.

--no-legend
    Do not print column headers.

--no-pager
    Do not pipe output into a pager.

-1
    Show information of a single core dump only, instead of listing all known core dumps.

-F FIELD, --field=FIELD
    Print all possible data values the specified field takes in matching core dump entries of the journal.

-o FILE, --output=FILE
    Write the core to FILE.

-D DIR, --directory=DIR
    Use the journal files in the specified DIR.

COMMANDS

The following commands are understood:

list
    List core dumps captured in the journal matching specified characteristics. If no command is specified, this is the implied default.

    It's worth noting that different restrictions apply to data saved in the journal and core dump files saved in /var/lib/systemd/coredump, see overview in systemd-coredump(8). Thus it may very well happen that a particular core dump is still listed in the journal while its corresponding core dump file has already been removed.

info
    Show detailed information about core dumps captured in the journal.

dump
    Extract the last core dump matching specified characteristics. The core dump will be written on standard output, unless an output file is specified with --output=.

gdb
    Invoke the GNU debugger on the last core dump matching specified characteristics.

MATCHING

A match can be:

PID
    Process ID of the process that dumped core. An integer.

COMM
    Name of the executable (matches COREDUMP_COMM=). Must not contain slashes.

EXE
    Path to the executable (matches COREDUMP_EXE=). Must contain at least one slash.

MATCH
    General journalctl predicates (see journalctl(1)). Must contain an equal sign.

EXIT STATUS

On success, 0 is returned; otherwise, a non-zero failure code is returned. Not finding any matching core dumps is treated as failure.

EXAMPLES

Example 1. List all the core dumps of a program named foo

    # coredumpctl list foo

Example 2. Invoke gdb on the last core dump

    # coredumpctl gdb

Example 3. Show information about a process that dumped core, matching by its PID 6654

    # coredumpctl info 6654

Example 4. Extract the last core dump of /usr/bin/bar to a file named bar.coredump

    # coredumpctl -o bar.coredump dump /usr/bin/bar

SEE ALSO

systemd-coredump(8), coredump.conf(5), systemd-journald.service(8), gdb(1)